Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

ossl_ocsp.h
Go to the documentation of this file.
1 /*
2 * 'OpenSSL for Ruby' project
3 * Copyright (C) 2003 Michal Rokos <m.rokos@sh.cvut.cz>
4 * Copyright (C) 2003 GOTOU Yuuzou <gotoyuzo@notwork.org>
5 * All rights reserved.
6 */
7 /*
8 * This program is licensed under the same licence as Ruby.
9 * (See the file 'LICENCE'.)
10 */
11 #if !defined(_OSSL_OCSP_H_)
12 #define _OSSL_OCSP_H_
13
14 #if !defined(OPENSSL_NO_OCSP)
15 extern VALUE mOCSP;
16 extern VALUE cOPCSReq;
17 extern VALUE cOPCSRes;
18 extern VALUE cOPCSBasicRes;
19 #endif
20
21 void Init_ossl_ocsp(void);
22
23 #endif /* _OSSL_OCSP_H_ */
VALUE
unsigned long VALUE
Definition: ruby.h:102
cOPCSBasicRes
VALUE cOPCSBasicRes
cOPCSRes
VALUE cOPCSRes
Init_ossl_ocsp
void Init_ossl_ocsp(void)
Definition: ossl_ocsp.c:1697
mOCSP
VALUE mOCSP
Definition: ossl_ocsp.c:70
cOPCSReq
VALUE cOPCSReq